### Navigation

- index
- next |
- previous |
- IFM v5.4 documentation »
- Tools and utilities »
- ifm2web – convert IFM map to Web image

# ifm2web – convert IFM map to Web image

New in version 5.3.

ifm2web converts an IFM map to an image file suitable for display on the Interweb (i.e., with transparency). It can produce two types of image:

- A map showing one or more map sections, by sending IFM output through fig2dev and convert.
- A task graph, sending IFM output through dot (or neato) and convert.

These are the options for printing maps:

`-m` `sections`
  Only process the map sections specified. Format is the same as the IFM `-m` option (see Using IFM).

`-z` `zoom`
  Set the fig2dev magnification (zoom) factor. Default: 1.

`-t```
  Include map section titles.

These are the options for printing task graphs:

`-g```
  Write task graph instead of a map.

`-r```
  Group the tasks by rooms.

`-n```
  Use neato instead of dot.

Other options:

`-S` `style`
  Use the specified IFM style.

`-s` `scale`
  Set the convert scale factor, as a percentage. Default: 100.

`-o` `file`
  Write to the specified file. If not given, the filename is built from the input file prefix and the image format.

`-w```
  Don’t actually run anything; just print what would be done.

`-h```
  Print a short usage message and exit.

### Navigation

- index
- next |
- previous |
- IFM v5.4 documentation »
- Tools and utilities »
- ifm2web – convert IFM map to Web image